# azure.mgmt.servicefabric package

## Submodules

- azure.mgmt.servicefabric.models module
- azure.mgmt.servicefabric.operations module

## Module contents

class `azure.mgmt.servicefabric.``ServiceFabricManagementClient`(credentials, subscription_id, base_url=None)

  Bases: `msrest.service_client.SDKClient`

  Service Fabric Management Client

  Variables:

  - config (ServiceFabricManagementClientConfiguration) – Configuration for client.
  - clusters (azure.mgmt.servicefabric.operations.ClustersOperations) – Clusters operations
  - cluster_versions (azure.mgmt.servicefabric.operations.ClusterVersionsOperations) – ClusterVersions operations
  - operations (azure.mgmt.servicefabric.operations.Operations) – Operations operations
  - application_types (azure.mgmt.servicefabric.operations.ApplicationTypesOperations) – ApplicationTypes operations
  - application_type_versions (azure.mgmt.servicefabric.operations.ApplicationTypeVersionsOperations) – ApplicationTypeVersions operations
  - applications (azure.mgmt.servicefabric.operations.ApplicationsOperations) – Applications operations
  - services (azure.mgmt.servicefabric.operations.ServicesOperations) – Services operations

  Parameters:

  - credentials (`A msrestazure Credentials object`) – Credentials needed for the client to connect to Azure.
  - subscription_id (str) – The customer subscription identifier.
  - base_url (str) – Service URL

class `azure.mgmt.servicefabric.``ServiceFabricManagementClientConfiguration`(credentials, subscription_id, base_url=None)

  Bases: `msrestazure.azure_configuration.AzureConfiguration`

  Configuration for ServiceFabricManagementClient Note that all parameters used to create this instance are saved as instance attributes.

  Parameters:

  - credentials (`A msrestazure Credentials object`) – Credentials needed for the client to connect to Azure.
  - subscription_id (str) – The customer subscription identifier.
  - base_url (str) – Service URL